=== debian/changelog ===
sadms (2.0.14~CVS20100222-0ubuntu2) maverick; urgency=low

  * debian/patches/07_use_upstart_script_names.patch:
    - use the upstart scripts instead of sysV ones (samba -> smbd, nmbd)
    - LP: #581637
  * debian/patches/08_french.patch:
    - include french translations from Rémy Boulle
  * debian/patches/series:
    - refreshed
  * debian/control:
    - depend on cifs-utils | smbfs
  * debian/rules:
    - make sure to remove .mo files

 -- Gauvain Pocentek <gauvain.pocentek@objectif-libre.com>  Tue, 24 Aug 2010 16:13:11 +0200

sadms (2.0.14~CVS20100222-0ubuntu1) lucid; urgency=low

  * Initial release based on previous Ubuntu package (Thanks Tyler J Gillies)
  * New upstream CVS snapshot
  * Switch to dpkg format 3.0 (quilt)
  * Use the upstream control file with modifications:
    - bump standards version to 3.8.3
    - build depend on python-support, debhelper (>= 7.0.50~) and tofrodos
    - don't depend on bsdutils (essential package)
  * debian/rules: use a tiny debhelper 7 makefile
  * debian/compat: set to 7
  * debian/patches/series: created
  * debian/patches/*.patch: follow DEP-3 guidelines
  * Update debian/patches/00_Makefile.patch:
    - install in /usr
    - use su-to-root on Debian and gksu on Ubuntu
    - don't use the deprecated Encoding field in desktop files
    - fix scripts links
    - don't install COPYING
    - install the html documentation in /usr/share/doc/sadms/html
  * locales:
    - debian/patches/04_locale_dir.patch: set the locale directory to
      /usr/share/locale
    - debian/rules: move the translations to /usr/share/locale, and use
      generic locales (en and fr)
  * debian/patches/05_doc_dir.patch: update the location of the html
    documentation index file
  * debian/patches/06_bash_not_sh.patch: use bash and not sh in lsb_release.sh
    scripts (it contains bashisms)
  * manpages:
    - fix lintian warnings
    - move them to debian/man and update manpages accordingly
  * Add debian/README.source to explain how to build a tarball from CVS
  * Add a watch file
  * Updated debian/copyright format

 -- Gauvain Pocentek <gpocentek@linutop.com>  Mon, 22 Feb 2010 20:14:54 +0100

sadms (2.0.12-0ubuntu1) hardy; urgency=low

  * Initial release. LP: #95656

 -- Tyler J Gillies <tjgillies@gmail.com>  Tue, 29 Jan 2008 12:05:37 -1000
