=== debian/control ===
Source: sadms
Section: net
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), python-support, tofrodos
Standards-Version: 3.8.3

Package: sadms
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gtk2, python-glade2, gksu, samba (>= 3.0), samba-common (>= 3.0), winbind (>= 3.0), smbclient, smbfs | cifs-utils, nscd, libpam-mount, krb5-user, expect, gawk, bind9-host, iproute, acl
Description: integrate a machine in an Active Directory environment
 SADMS takes care of
  * configuring Kerberos
  * configuring Winbind
  * configuring Samba
  * configuring the Name Switch Service
  * synchronizing clocks
  * joining the server to the Active Directory Domain
  * building home directories with the proper file permissions
  * making shares
  * configuring the start of the daemons
  * optionally installing and configuring PAM modules for automatically
    authenticating, making home and mounting samba share
  * optionally managing Posix ACLs
