=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell grep ^VERSION Makefile | cut -d= -f2)

override_dh_auto_configure:
	chmod 755 bin/lsb_release.sh
	$(MAKE) localize

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/sadms/usr/share/locale
	mv $(CURDIR)/debian/sadms/usr/share/sadms-$(VERSION)/en_US \
		$(CURDIR)/debian/sadms/usr/share/locale/en
	mv $(CURDIR)/debian/sadms/usr/share/sadms-$(VERSION)/fr_FR \
		$(CURDIR)/debian/sadms/usr/share/locale/fr
	
	# remove the duplicated doc
	rm -rf $(CURDIR)/debian/sadms/usr/share/sadms-$(VERSION)/pre/htmldocs

override_dh_auto_clean:
	rm -f $(CURDIR)/bin/*/LC_MESSAGES/*.mo
	dh_auto_clean

%:
	dh $@
