## sadms 2.0.15.repack

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # sadms make file
 # bbou@ac-toulouse.fr
-# dim. 18 oct. 2009 09:09:30 CEST
-VERSION=2.0.14
+# dim. 14 nov. 2010 10:12:20 CEST
+VERSION=2.0.15
 
 prefix = 
 
@@ -262,6 +262,9 @@
 		sadms-$(VERSION)/sadms.pot \
 		sadms-$(VERSION)/sadms-en_US.po \
 		sadms-$(VERSION)/sadms-fr_FR.po \
+		sadms-$(VERSION)/sadms-ru_RU.po \
+		sadms-$(VERSION)/NEWS \
+		sadms-$(VERSION)/NEWS \
 		sadms-$(VERSION)/NEWS \
 		sadms-$(VERSION)/Makefile-fsacls \
 		sadms-$(VERSION)/Makefile-rh \
@@ -281,7 +284,3 @@
 	intltool-extract --type=gettext/glade bin/sadms.glade
 	xgettext --language=Python --keyword=_ --keyword=N_ --output=sadms.pot bin/sadms.py bin/sadms.glade.h
 	msginit --input=sadms.pot --locale=en_US --output=sadms-en_US.po
-	msginit --input=sadms.pot --locale=fr_FR --output=sadms-fr_FR.po
-	mkdir -p bin/en_US/LC_MESSAGES
-	mkdir -p bin/fr_FR/LC_MESSAGES
-
