=== debian/changelog ===
sadms (2.0.15.repack-0ubuntu2) natty; urgency=low

  * debian/patches/06_find_glibc_version.patch: added
    - use dpkg to discover the version of glibc on the system
    - LP: #746330
  * debian/patches/07_awk_shebang.patch: added
    - drop (wrong) awk shebang
  * debian/copyright:
    - add reference to /usr/share/common-licenses/

 -- Gauvain Pocentek <gauvain.pocentek@objectif-libre.com>  Thu, 31 Mar 2011 13:01:39 +0200

sadms (2.0.15.repack-0ubuntu1) natty; urgency=low

  * Repack the archive to drop .mo files and CVS directories
  * debian/patches:
    - 00_Makefile.patch: updated
    - 02_awk.patch: dropped, fixed upstream
    - 06_bash_not_sh.patch: dropped, applied upstream
    - 07_use_upstart_script_names.patch: dropped, applied upstream
    - 08_french.patch: dropped, translation included upstream
  * debian/control:
    - drop unneeded tofrodos B-D
  * debian/README.Debian: added

 -- Gauvain Pocentek <gauvain.pocentek@objectif-libre.com>  Thu, 03 Feb 2011 21:25:57 +0100
