=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), python-support, tofrodos
+Build-Depends: debhelper (>= 7.0.50~), python-support
 Standards-Version: 3.8.3
 
 Package: sadms
