=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 		$(CURDIR)/debian/sadms/usr/share/locale/en
 	mv $(CURDIR)/debian/sadms/usr/share/sadms-$(VERSION)/fr_FR \
 		$(CURDIR)/debian/sadms/usr/share/locale/fr
+	mv $(CURDIR)/debian/sadms/usr/share/sadms-$(VERSION)/ru_RU \
+		$(CURDIR)/debian/sadms/usr/share/locale/ru
 	
 	# remove the duplicated doc
 	rm -rf $(CURDIR)/debian/sadms/usr/share/sadms-$(VERSION)/pre/htmldocs
