=== debian/watch ===
version=3
http://sf.net/sadms/sadms-(.+)\.tar\.gz
